import React from 'react';
import styled from 'styled-components';
import Paper from '@material-ui/core/Paper';

export default function Error({ contrast }) {
  return <ResourcePaper square elevation={4} contrast={contrast}>
    <div className="div">
      <Title contrast={contrast}>
        Houve um erro durante a obtenção de dados :(
      </Title>
    </div>
  </ResourcePaper>
}

const ResourcePaper = styled(Paper)`
  border: ${props => props.contrast === "" ? 0 : "1px solid white"};
  text-align: center;
  color: #666;
  width: 100%;
  
  .div{
    padding: 0.5em 1em;
    background: ${props => props.contrast === "" ? "" : "black"};
  }
`;

const Title = styled.h4`
  text-transform: uppercase;
  font-weight: 500;
  text-align: left; 
  color: ${props => props.contrast === "" ? "#666" : "white"};
  text-align: center;
`